Package org.springframework.security.web.access.intercept

# Interface FilterInvocationSecurityMetadataSource

All Superinterfaces:
  `org.springframework.aop.framework.AopInfrastructureBean`, `org.springframework.security.access.SecurityMetadataSource`

All Known Implementing Classes:
  `DefaultFilterInvocationSecurityMetadataSource`, `ExpressionBasedFilterInvocationSecurityMetadataSource`

public interface FilterInvocationSecurityMetadataSource extends org.springframework.security.access.SecurityMetadataSource
Marker interface for `SecurityMetadataSource` implementations that are designed to perform lookups keyed on `FilterInvocation`s.

## Method Summary

### Methods inherited from interface org.springframework.security.access.SecurityMetadataSource

`getAllConfigAttributes, getAttributes, supports`